Subject: Re: [pim] Yangdoctors last call review of draft-ietf-pim-yang-12

From: "tom p." <[email-masked]>
Date: Tue, 1 May 2018 10:52:24 +0100

Xufeng

You might want to update your references at some point; several of the
I-Ds  referenced in -16 are now RFC e.g.

8340 tree diagram
8342 NMDA
8343 Interfaces 7223bis
8349 Routing Management 8022bis

Also, you reference RFC5306 from the YANG module but I cannot see it in
the References of the I-D.

Tom Petch

----- Original Message -----
From: "Xufeng Liu" <[email-masked]>
To: "Juergen Schoenwaelder" <[email-masked]>;
<[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>
Sent: Friday, April 27, 2018 6:30 PM

> Hi Juergen,
>
> Thanks for looking at the document and providing further valuable
comments.
> We have updated the document with https://tools.ietf.org/
> html/draft-ietf-pim-yang-16 to address these issues.
>
> Besides these fixes,  authors and PIM Working Group have further
considered
> and discussed the type of statistic counters in the model. We have
decided
> to used 64-bit type instead of 32-bit type:
> https://mailarchive.ietf.org/arch/msg/pim/ti58tMl9ppt7r19DxN8tTAn8n4w
> https://mailarchive.ietf.org/arch/msg/pim/Pifg3ABQVgvsFWLTIsI9yLR6RXA
>
> Thanks,
> - Xufeng
>
> On Wed, Mar 14, 2018 at 11:50 AM, Juergen Schoenwaelder <
> [email-masked]> wrote:
>
> > Hi,
> >
> > I have checked version -15 today. The document has improved quite a
> > bit. Thanks for taking my comments into account. Section 2.5 is much
> > clearer now and I believe the new MIB mapping section is helpful.
> > Thanks also for expanding the security considerations section and
> > adding the example in the Appendix.
> >
> > Below are some questions that came up during my review of -15:
> >
> > a) I did not validate the example in Appendix A using tools but I
> >    wonder whether
> >
> >                      "pim-sm:sm": [null]
> >
> >    is really correct. Should this not be
> >
> >                      "ietf-pim-sm:sm": [null]
> >
> >    in JSON? There are multiple occurances of this. I think the 'sm'
> >    node you refer to here is a container - so why would it be
[null]?
> >
> [Xufeng]: Fixed.
>
>
> >    I also wonder whether this is correct:
> >
> >                      "source-address": "ietf-routing-types:*",
> >
> >    RFC 7951 seems to indicate that this should simply be "*" and not
> >    "ietf-routing-types:*". So again, has the example been validated?
> >
>
> [Xufeng]: Fixed. Also fixed the validation tool to correct other
errors in
> the example.
>
> >
> > b) You seem to use a notation in the tree diagrams that is not
defined
> >    in draft-ietf-netmod-yang-tree-diagrams-06.txt:
> >
> >           +--rw <global configuration>
> >
> >    I assume this means something like
> >
> >           +--rw // global configuration
> >
> >    but even that does not seem comply to the common tree diagram
> >    notation.  Perhaps simply state somewhere in Section 1.2 that
> >    things in <> brackets are placeholders.
> >
>
> [Xufeng]: Added the description in Sec. 1.2.
>
> >
> >    Why is section 1.2 called 'Tree Diagrams Prefixes' - should it
> >    not be just "Tree Diagrams"?
> >
>
> [Xufeng]: Yes. Fixed.
>
> >
> > c) I am still unsure what 'wider management interfaces' are, perhaps
> >    replace 'wider' with 'other'.
> >
>
> [Xufeng]: Changed as suggested. Thanks.
>
> >
> > d) Spelling errors: instnace, conatin, the the, cooresponding
> >
>
> [Xufeng]: Fixed.
>
> >
> > /js
> >
> >
>

---

From: Xufeng Liu <[email-masked]>
Date: Sat, 19 May 2018 17:10:10 -0400

Hi Tom,

Thanks for the reminder. Just posted a new version
https://tools.ietf.org/html/draft-ietf-pim-yang-17 to update the references.

Best,
- Xufeng

---

From: "tom p." <[email-masked]>
Date: Sun, 20 May 2018 21:25:34 +0100

----- Original Message -----
From: "Xufeng Liu" <[email-masked]>
Sent: Saturday, May 19, 2018 10:10 PM

> https://tools.ietf.org/html/draft-ietf-pim-yang-17 to update the
references.

Looks good.

I note that the IESG approved
draft-ietf-pim-yang-16
 on May 16th.

I don't know what the mechanics of this are but doubtless your AD will
know what to do next. I would expect the RFC Editor to have picked up
the issues I commented on but always like to make life easier for them
although in this case I would have done better to have raised it a few
weeks
earlier:-(

Tom Petch